Skip to main content
`Ctrl`+`K`

# DMInterpolationAddPoints

Add points at which we will interpolate the fields

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationAddPoints(DMInterpolationInfo ctx, PetscInt n, PetscReal points[])

Not Collective

## Input Parameters

- ctx - the context

- n - the number of points

- points - the coordinates for each point, an array of size `n` * dim

## Note

The input coordinate information is copied into the object.

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationSetDim()`, `DMInterpolationEvaluate()`, `DMInterpolationCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

## Examples

src/ts/tutorials/ex77.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages